apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: app1
spec:
  replicas: 3
  template:
    metadata:
      labels:
        app: app1
    spec:
      containers:
        - name: app1
          image: 'docker.io/nitinsingh01/app1'
          ports:
            - containerPort: 80
            
---
apiVersion: v1
kind: Service
metadata:
  name: app1
  labels:
    name: app1
spec:
  ports:
    - port: 8080
      targetPort: 8080
      protocol: TCP
  selector:
    app: app1
  type: LoadBalancer